Page MenuHomePhabricator

Add a README
Closed, ResolvedPublic

Description

Please add a README file to Flow so that a newcomer like myself can easily get it setup locally with minimal brain usage.

benefits: attract more developers to your project


Version: unspecified
Severity: normal

Details

Reference
bz63125

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:04 AM
bzimport set Reference to bz63125.
bzimport added a subscriber: Unknown Object (MLST).

At the moment the easiest way to get flow going is to use the vagrant role. I'll distill what it does into a short README as well.

The README should say "see http://www.mediawiki.org/wiki/Extension:Flow". We don't have the time to maintain documentation in multiple places, the extension page is the one canonical place for it.

The only viable approach is to have the Makefile do

curl 'http://www.mediawiki.org/wiki/Extension:Flow?action=raw' | \

sed '1i See http://www.mediawiki.org/wiki/Extension:Flow for latest info, its contents at one point were:\n\n' > README.txt

I've mentioned MediaWiki-vagrant enable-role flow on that page.

Quiddity removed a subscriber: Maryana.Dec 19 2014, 1:42 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 28 2015, 1:38 AM

Change 260850 had a related patch set uploaded (by Mattflaschen):
Add README pointing to Extension:Flow

https://gerrit.wikimedia.org/r/260850

Change 260850 merged by jenkins-bot:
Add README pointing to Extension:Flow

https://gerrit.wikimedia.org/r/260850

Catrope closed this task as Resolved.Feb 13 2016, 12:24 AM
Catrope claimed this task.